# CKIKER.SMK, Version 7A
#
# This is a makefile for C Kermit using SAS/C for AmigaDOS  V6.xx.
# The lint line is for Gimpel Lint, a commercial product.

# Kermit is now big enough that both DATA=F and CODE=F are required.
#
# Do NOT define PARSENSE, as the required code is too ugly to copy
# from ckutio.c to ckitio.c

CONFIG = DEF=NODEBUG DEF=NOHEBREW DEF=NOCYRIL STRMER \
	STRSECT=FAR DEF=NOOLDMODEMS DATA=FAR CODE=FAR OPT MATH=STANDARD

# The following options are NOT meant to be changed!

OPTS = $(CONFIG) DEF=AMIGA DEF=DYNAMIC DEF=CK_ANSILIBS DEF=CK_ANSIC \
       DEF=MYCURSES DEF=SIG_V DEF=_NUMSIG=_NSIG \
       DEF=CK_TTGWSIZ DEF=CK_TMPDIR DEF=TMPDIRLEN=256 \
       DEF=USE_MEMCPY

CFLAGS = $(OPTS) # OPT OPTTIME

# Since Gimpel Lint uses Unix style define command line options, we
# need the below.  Make sure it stays in sync with the CONFIG and OPTS
# lines above!

LINTFLAGS =  -DAMIGA -DDYNAMIC -DCK_ANSILIBS -DCK_ANSIC \
	-DMYCURSES -D_NUMSIG=_NSIG -DSIG_V -DCK_TTGWSIZ \
	-DCK_TMPDIR -DTMPDIRLEN=256 -DUSE_MEMCPY

#
# Note the ckuxla.c in the lists belw.  I have not yet written an
# Amiga-specific version of ckuxla.c.  Also, copy ckuxla.h onto a
# new file, ckixla.h.
#

#
#  All the object files needed to compile C Kermit.
#

OBJS = ckcmai.o ckucmd.o ckuusr.o ckuus2.o ckuus3.o ckuus4.o ckuus5.o \
                 ckuus6.o ckuus7.o ckuusx.o ckuusy.o ckudia.o ckuscr.o \
		 ckcpro.o ckcfns.o ckcfn2.o ckcfn3.o ckclib.o ckctel.o \
		 ckcnet.o ckuxla.o ckicon.o \
		 ckitio.o ckifio.o ckiutl.o \
		 ckusig.o

#
# The corresponding sources, used mainly to run lint.
#

SRCS = ckcmai.c ckucmd.c ckuusr.c ckuus2.c ckuus3.c ckuus4.c ckuus5.c \
                 ckuus6.c ckuus7.c ckuusx.c ckuusy.c ckudia.c ckuscr.c \
		 ckcpro.c ckcfns.c ckcfn2.c ckcfn3.c ckclib.c ckctel.c \
		 ckcnet.c ckuxla.c ckicon.c \
		 ckitio.c ckifio.c ckiutl.c \
		 ckusig.c

.c.o:
	sc $(CFLAGS) NOLINK $<

kermit:    $(OBJS)
	sc $(CFLAGS) $(OBJS) LINK programname=kermit

ckcpro.c: ckcpro.w wart
	wart ckcpro.w ckcpro.c

ckcpro.o: ckcpro.c

wart: ckwart.o
	sc ckwart.o link programname=wart

clean:
	-delete $(OBJS) kermit wermit wart

lint: $(SRCS)
	lint $(LINTFLAGS) $(SRCS)
